Salve a tutti,
Ho un problema con backtrack 4, vorrei fare un backup semi-completo del disco.
cosa intendo?
Vorrei esportare tutte le modifiche che ho fatto fondamentalmente, per poter poi installare bt4 Rc1 e riapplicarle (anche dati personali, come file sul desktop & altro)
Oppure aiutatemi a risolvere questo problemino:
ho dato da terminale (tty1)
Code:
apt-get update && apt-get dist-upgrade -y
e mi da' come output:
Code:
root@bt:~# apt-get update && apt-get dist-upgrade -y
Hit http://ppa.launchpad.net intrepid Release.gpg
Hit http://archive.offensive-security.com pwnsauce Release.gpg
Hit http://ppa.launchpad.net intrepid Release
Hit http://archive.offensive-security.com pwnsauce Release
Hit http://ppa.launchpad.net intrepid/main Packages
Hit http://archive.offensive-security.com pwnsauce/main Packages
Hit http://ppa.launchpad.net intrepid/main Sources
Hit http://archive.offensive-security.com pwnsauce/microverse Packages
Hit http://archive.offensive-security.com pwnsauce/macroverse Packages
Hit http://archive.offensive-security.com pwnsauce/restricted Packages
Hit http://archive.offensive-security.com pwnsauce/universe Packages
Hit http://archive.offensive-security.com pwnsauce/multiverse Packages
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
  linux-image: Depends: linux-image-2.6.34 but it is not installed
E: Unmet dependencies. Try using -f.
allora provo ad eseguire
Code:
apt-get -f install
e l'output viene:
Code:
root@bt:~# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  linux-image-2.6.34
Suggested packages:
  fdutils
The following NEW packages will be installed:
  linux-image-2.6.34
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
87 not fully installed or removed.
Need to get 0B/16.8MB of archives.
After this operation, 55.3MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Preconfiguring packages ...
(Reading database ... 265824 files and directories currently installed.)
Unpacking linux-image-2.6.34 (from .../linux-image-2.6.34_2.6.34-10.00.Custom-bt8_i386.deb) ...
Done.
dpkg: error processing /var/cache/apt/archives/linux-image-2.6.34_2.6.34-10.00.Custom-bt8_i386.deb (--unpack):
 trying to overwrite `/lib/firmware', which is also in package udev
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... found: /boot/grub/splash.xpm.gz
Found kernel: /boot/vmlinuz-2.6.30.9
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-2.6.34_2.6.34-10.00.Custom-bt8_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Quindi sono punto a capo..
Code:
root@bt:~# cat /etc/motd

BackTrack 4 (PwnSauce) Penetration Testing and Auditing Distribution
la versione mi risulta ancora la 4, anche se noto qualche bug durante l'utilizzo di wireshark che prima non avevo.
Consigli? Aiuti?
Grazie.